Skip to content

Support

All operations require authentication.

10 operationsv1/me/supportLevel · /support/tickets
Agent setup

Fetch the support level of the accountBeta

GET
/1.0/me/supportLevel

Response

200Levelsuccessful operation
level
read-only
LevelTypeEnum

Level of support

Valuesbusinessenterprisepremiumpremium-accreditedstandard

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/supportLevel \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "level": "business"}

List support tickets identifiers for this serviceProduction

GET
/1.0/support/tickets

Query parameters

archived
boolean

Search archived tickets

category
TicketCategoryEnum

Search by ticket category

Valuesassistancebillingincident
customerReplyNeeded
boolean

Tickets pending a customer reply

excludeAutogenerated
boolean

Exclude auto-generated tickets

maxCreationDate
stringdate-time

Maximum creation date

minCreationDate
stringdate-time

Minimum creation date

page
integer

Page of tickets to fetch (only if pageSize is defined)

pageSize
integer

Number of ticket to fetch

product
TicketProductEnum

Search by ticket product

Valuesadslcdndedicateddedicated-billingdedicated-otherdedicatedclouddomainexchangefaxhostinghousingiaasmailnetworkpubliccloudsmssslstoragetelecom-billingtelecom-othervacvoipvpsweb-billingweb-other
serviceName
string

Ticket message service name

status
TicketStatusEnum

Status of ticket

Valuesclosedopenunknown
subject
string

Search by ticket subject

ticketNumber
string

Search by ticket number

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/support/tickets \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create a new ticketProduction

POST
/1.0/support/tickets/create

Request body (required)

body
required
string

Ticket message body

category
TicketCategoryEnum

Ticket message category

Valuesassistancebillingincident
impact
TicketImpactUrgencyEnum

Ticket impact (reserved for Business or Enterprise support level accounts)

Valueshighlowmedium
product
TicketProductEnum

Ticket message product

Valuesadslcdndedicateddedicated-billingdedicated-otherdedicatedclouddomainexchangefaxhostinghousingiaasmailnetworkpubliccloudsmssslstoragetelecom-billingtelecom-othervacvoipvpsweb-billingweb-other
serviceName
string

Ticket message service name

subcategory
TicketSubCategoryEnum

Ticket message subcategory

ValuesalertsautorenewbilldowninProgressnewotherperfsstartusage
subject
required
string

Ticket message subject

type
TicketTypeEnum

DEPRECATED - Ticket type (criticalIntervention requires VIP support level)

ValuescriticalInterventiongenericRequest
urgency
TicketImpactUrgencyEnum

Ticket urgency (reserved for Business or Enterprise support level accounts)

Valueshighlowmedium
watchers
string[]

List of e-mail addresses to notify on ticket updates (max. 10)

Response

200NewMessageInfosuccessful operation
additionalNotice
string

Notice or warning

messageId
integer

Message identifier

ticketId
integer

Ticket identifier

ticketNumber
integer

Ticket external number

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/support/tickets/create \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "additionalNotice": "string", "messageId": 0, "ticketId": 0, "ticketNumber": 0}

Get ticketProduction

GET
/1.0/support/tickets/{ticketId}

Path parameters

ticketId
required
integer

internal identifier ticket

Response

200Ticketsuccessful operation
accountId
string

Customer account identifier

canBeClosed
boolean

Can this ticket be closed or not

category
TicketCategoryEnum

Ticket request category

Valuesassistancebillingincident
creationDate
stringdate-time

Ticket creation date

lastMessageFrom
MessageSenderEnum

Sender type of last message

Valuescustomersupport
product
TicketProductEnum

Product service concerned by ticket

Valuesadslcdndedicateddedicated-billingdedicated-otherdedicatedclouddomainexchangefaxhostinghousingiaasmailnetworkpubliccloudsmssslstoragetelecom-billingtelecom-othervacvoipvpsweb-billingweb-other
score
string

Ticket score

serviceName
string

Name of service concerned by ticket

state
TicketStatusEnum

State of ticket

Valuesclosedopenunknown
subject
string

Ticket subject

ticketId
integer

Ticket identifier

ticketNumber
integer

Ticket external number

type
TicketTypeEnum

Ticket type

ValuescriticalInterventiongenericRequest
updateDate
stringdate-time

Ticket last update date

Example uses ticketId = 0

$ curl https://api.eu.ovhcloud.com/1.0/support/tickets/{ticketId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accountId": "string", "canBeClosed": true, "category": "assistance", "creationDate": "2024-01-01T12:00:00Z", "lastMessageFrom": "customer", "product": "adsl", "score": "string", "serviceName": "string", "state": "closed", "subject": "string", "ticketId": 0, "ticketNumber": 0, "type": "criticalIntervention", "updateDate": "2024-01-01T12:00:00Z"}

Checks whether ticket can be scoredProduction

GET
/1.0/support/tickets/{ticketId}/canBeScored

Path parameters

ticketId
required
integer

internal ticket identifier

Response

200booleansuccessful operation

Example uses ticketId = 0

$ curl https://api.eu.ovhcloud.com/1.0/support/tickets/{ticketId}/canBeScored \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

Close ticketProduction

POST
/1.0/support/tickets/{ticketId}/close

Path parameters

ticketId
required
integer

internal ticket identifier

Response

200—successful operation

Example uses ticketId = 0

$ curl https://api.eu.ovhcloud.com/1.0/support/tickets/{ticketId}/close \
  -H "authorization: Bearer $OVH_TOKEN"

Get ticket messagesProduction

GET
/1.0/support/tickets/{ticketId}/messages

Path parameters

ticketId
required
integer

internal ticket identifier

Response

200Message[]successful operation
body
string

Message body

creationDate
stringdate-time

Message creation date

from
MessageSenderEnum

Message sender type

Valuescustomersupport
messageId
integer

Message identifier

ticketId
integer

Ticket identifier

updateDate
stringdate-time

Message last update date

Example uses ticketId = 0

$ curl https://api.eu.ovhcloud.com/1.0/support/tickets/{ticketId}/messages \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "body": "string", "creationDate": "2024-01-01T12:00:00Z", "from": "customer", "messageId": 0, "ticketId": 0, "updateDate": "2024-01-01T12:00:00Z" }]

Reopen a ticketProduction

POST
/1.0/support/tickets/{ticketId}/reopen

Path parameters

ticketId
required
integer

internal ticket identifier

Request body (required)

body
required
string

ticket reopen reason

Response

200—successful operation

Example uses ticketId = 0

$ curl https://api.eu.ovhcloud.com/1.0/support/tickets/{ticketId}/reopen \
  -H "authorization: Bearer $OVH_TOKEN"

Reply to ticketProduction

POST
/1.0/support/tickets/{ticketId}/reply

Path parameters

ticketId
required
integer

internal ticket identifier

Request body (required)

body
required
string

text body of ticket response

Response

200—successful operation

Example uses ticketId = 0

$ curl https://api.eu.ovhcloud.com/1.0/support/tickets/{ticketId}/reply \
  -H "authorization: Bearer $OVH_TOKEN"

Set ticket scoreProduction

POST
/1.0/support/tickets/{ticketId}/score

Path parameters

ticketId
required
integer

internal ticket identifier

Request body (required)

score
required
string

ticket score

scoreComment
string

ticket comment about the score

Response

200—successful operation

Example uses ticketId = 0

$ curl https://api.eu.ovhcloud.com/1.0/support/tickets/{ticketId}/score \
  -H "authorization: Bearer $OVH_TOKEN"